## slang2 2.0.4

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tmexpand
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
TM2SGML = $(TMEXPAND)
MACRODIR = /aluche/d1/web/tm-dist/macros
TM2HLP = $(TMEXPAND) -I$(MACRODIR) -Mslhlp

TXT_FILES = slang.txt cslang.txt cref.txt slangfun.txt
SGML_FILES = slang.sgml cslang.sgml cref.sgml slangfun.sgml
HTML_FILES = slang.html cslang.html cref.html slangfun.html
TEX_FILES = slang.tex cslang.tex #cref.tex slangfun.tex
PS_FILES = slang.ps cslang.ps slangfun.ps #cref.ps
PDF_FILES = slang.pdf cslang.pdf slangfun.pdf

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
TM2TXT = tools/$(ARCH)objs/tm2txt --quiet
LATEX = latex
PDFLATEX = pdflatex

TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
PDFDIR = ../pdf

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR)
SRCDIR = `pwd`

text-files: $(TXT_FILES)
all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) $(PDF_FILES) $(PS_FILES)
#----- SGML Files -----------------------------------------------------------
cslang.sgml : cslang.tm preface.tm copyright.tm local.tm apinews.tm
	$(TM2SGML) -I$(MACRODIR) cslang.tm cslang.sgml
slang.sgml : slang.tm preface.tm copyright.tm local.tm intnews.tm
	$(TM2SGML) -I$(MACRODIR) slang.tm slang.sgml
cref.sgml : cref.tm
	$(TM2SGML) -I$(MACRODIR) cref.tm cref.sgml
slangfun.sgml : slangfun.tm local.tm
	$(TM2SGML) -I$(MACRODIR) slangfun.tm slangfun.sgml
#----- HTML Files -----------------------------------------------------------
html-files: $(HTML_FILES)
cslang.html : cslang.sgml
	$(SGML2HTML) cslang.sgml
slang.html : slang.sgml 
	$(SGML2HTML) slang.sgml
cref.html : cref.sgml
	$(SGML2HTML) cref.sgml
slangfun.html : slangfun.sgml
	$(SGML2HTML) slangfun.sgml
#----- TeX Files ------------------------------------------------------------
slang.tex : slang.sgml
	$(SGML2LATEX) slang.sgml
	jed -script ./fixtex.sl slang.tex
cslang.tex : cslang.sgml
	$(SGML2LATEX) cslang.sgml
	jed -script ./fixtex.sl cslang.tex
slangfun.tex: slangfun.sgml
	$(SGML2LATEX) slangfun.sgml
	jed -script ./fixtex.sl slangfun.tex	
#----- PDF Files -----------------------------------------------------------
pdf-files: $(PDF_FILES)
cslang.pdf : cslang.tex
	$(PDFLATEX) cslang.tex
	$(PDFLATEX) cslang.tex
	$(PDFLATEX) cslang.tex
slang.pdf : slang.tex
	$(PDFLATEX) slang.tex
	$(PDFLATEX) slang.tex
	$(PDFLATEX) slang.tex
slangfun.pdf: slangfun.tex
	$(PDFLATEX) slangfun.tex
	$(PDFLATEX) slangfun.tex
	$(PDFLATEX) slangfun.tex
#----- PS Files -----------------------------------------------------------
cslang.ps : cslang.tex
	$(LATEX) cslang.tex
	$(LATEX) cslang.tex
	dvips -o cslang.ps cslang.dvi
slang.ps : slang.tex
	$(LATEX) slang.tex
	$(LATEX) slang.tex
	dvips -o slang.ps slang.dvi
slangfun.ps : slangfun.tex
	$(LATEX) slangfun.tex
	$(LATEX) slangfun.tex
	dvips -o slangfun.ps slangfun.dvi
#----- Text Files -----------------------------------------------------------
cslang.txt: cslang.sgml
	$(SGML2TXT) cslang.sgml
	./tools/fixtxt cslang.txt
slang.txt: slang.sgml
	$(SGML2TXT) slang.sgml
	./tools/fixtxt slang.txt
#
slangfun.txt : slangfun.tm hlpdefs.tm
	cat hlpdefs.tm rtl/*.tm | $(TM2HLP) - slangfun.txt
#	cat rtl/*.tm | $(TM2TXT) > slangfun.txt
cref.txt : cref.sgml
	$(SGML2TXT) cref.sgml
	./tools/fixtxt cref.txt
#	$(TM2TXT) < cref.tm > cref.txt
$(TM2TXT) : tools/tm2txt.c
	cd tools; make SRCDIR=$(SRCDIR)
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *.dvi *.log *.aux *.toc rtl/*.BAK rtl/*~ crtl/*~ *.tmp *-error
distclean: clean
	-rm -f *.html *.ps $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES)
	cd tools; make clean
install: $(TXT_FILES)
	-mv $(TXT_FILES) ../text

install-all: all
	-mkdir $(SUBDIRS)
	-mv $(TXT_FILES) ../text
	-mv *.html ../html
	-mv $(PS_FILES) ../ps
	-mv $(PDF_FILES) ../pdf

## slang2 2.0.5

=== src/test/Makefile ===
# -*-sh-*-
TEST_SCRIPTS = argv syntax eqs sscanf loops arith array strops bstring \
  pack stdio assoc selfload struct nspace path ifeval anytype arrmult \
  nspace2 prep time utf8 except bugs list regexp method deref naninf \
  longlong signal dollar req autoload docfun debug

TEST_PGM = sltest
#RUN_TEST_PGM = valgrind --tool=memcheck --leak-check=yes --logfile=log --num-callers=20 ./$(TEST_PGM)
RUN_TEST_PGM = ./$(TEST_PGM)
SLANGINC = ..
SLANGLIB = ../$(ARCH)objs

run_tests: $(TEST_PGM)
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS); \
	do \
	   $(RUN_TEST_PGM) $$X.sl; \
	done
	touch sltest.c

sltest: sltest.c $(SLANGLIB)/libslang.a
	$(CC) $(CFLAGS) $(LDFLAGS) sltest.c -o sltest -I$(SLANGINC) -L$(SLANGLIB) -lslang $(TCAPLIB) -lm
clean: 
	-/bin/rm -f *~ sltest *.o *.log tmp-* log.pid*

## slang2 2.1.3

=== src/test/Makefile ===
# -*-sh-*-
TEST_SCRIPTS_SLC = argv syntax scircuit eqs sscanf loops arith array strops \
  bstring pack stdio assoc selfload struct nspace path ifeval anytype arrmult \
  time utf8 except bugs list regexp method deref naninf \
  longlong signal dollar req docfun debug qualif compare

TEST_SCRIPTS_NO_SLC = autoload nspace2 prep

TEST_SCRIPTS = $(TEST_SCRIPTS_SLC) $(TEST_SCRIPTS_NO_SLC)

TEST_PGM = sltest
#RUN_TEST_PGM = valgrind --tool=memcheck --leak-check=yes --log-file=log --num-callers=20 ./$(TEST_PGM)
RUN_TEST_PGM = ./$(TEST_PGM)
SLANGINC = ..
SLANGLIB = ../$(ARCH)objs
OTHERLIBS = -lm

run_tests: $(TEST_PGM)
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS); \
	do \
	   $(RUN_TEST_PGM) $$X.sl; \
	   $(RUN_TEST_PGM) -utf8 $$X.sl; \
	done
	touch sltest.c

run_tests_slc: $(TEST_PGM)
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS_SLC); \
	do \
	   $(RUN_TEST_PGM) $$X.slc; \
	   $(RUN_TEST_PGM) -utf8 $$X.slc; \
	done
	touch sltest.c

all: run_tests run_tests_slc

sltest: sltest.c $(SLANGLIB)/libslang.a
	$(CC) $(CFLAGS) $(LDFLAGS) sltest.c -o sltest -I$(SLANGINC) -L$(SLANGLIB) -lslang $(OTHERLIBS)
clean: 
	-/bin/rm -f *~ sltest *.o *.log tmp-* log.pid* *.slc log.*

=== slsh/doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tmexpand
# package.  See http://www.jedsoft.org/ for more information.
#
TM2SGML = tmexpand
SGML2HTML = sgml2html
DOCBOOK2MAN = docbook2man

all: slsh.1

slsh.1: slsh.sgml
	$(DOCBOOK2MAN) slsh.sgml
slsh.sgml: slsh.tm
	$(TM2SGML) slsh.tm slsh.sgml
view: slsh.1
	nroff -man slsh.1 | most
#----------------------------------------------------------------------------
slshfun.sgml : slshfun.tm
	$(TM2SGML) slshfun.tm slshfun.sgml
slshfun.html : slshfun.sgml
	$(SGML2HTML) slshfun.sgml
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *-error manpage.refs manpage.links
distclean: clean
	-rm -f slsh.1 slsh.sgml
install: slsh.1 slshfun.html
	-mkdir ../man
	-mv slsh.1 ../man
	-mkdir ../html
	-mv slshfun*.html ../html

## slang2 2.2.2

=== slsh/lib/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = $(HOME)/lib/tmexpand/bin/tmexpand
MACRODIR = $(HOME)/lib/tmexpand/macros

HLP_FILES = arrayfuns.hlp glob.hlp require.hlp structfuns.hlp cmdopt.hlp \
            readascii.hlp profile.hlp print.hlp process.hlp

all: help-files
help-files: $(HLP_FILES)
arrayfuns.hlp: arrayfuns.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp arrayfuns.tm arrayfuns.hlp
glob.hlp: glob.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp glob.tm glob.hlp
require.hlp: require.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp require.tm require.hlp
structfuns.hlp: structfuns.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp structfuns.tm structfuns.hlp
cmdopt.hlp: cmdopt.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp cmdopt.tm cmdopt.hlp
print.hlp: print.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp print.tm print.hlp
readascii.hlp: readascii.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp readascii.tm readascii.hlp
profile.hlp: profile.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp profile.tm profile.hlp
process.hlp: process.tm
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp process.tm process.hlp
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *.dvi *.log *.aux *.toc *.bak
distclean: clean
	-rm -f *.html *.ps $(HLP_FILES)
install: $(HLP_FILES)
	-mv $(HLP_FILES) ../help

=== debian/changelog ===
slang2 (2.2.2-4) unstable; urgency=low

  * Patch from slang2 upstream for slagetput problem not completely
    fixed in 2.2.2 release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Mar 2010 18:35:55 +0000

slang2 (2.2.2-3) unstable; urgency=low

  * FTBFS: Need to depend on libncurses-dev for -ltermcap. Closes: #574298. 
  * Standards-Version: 3.8.4. No changes required.
  *  Add ${misc:Depends} for debhelper, thanks to lintian.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Mar 2010 19:00:17 +0000

slang2 (2.2.2-2) unstable; urgency=low

  * Patch thanks to Cyril Brulebois to fix broken .so symlink.
    Closes: #560239, #560068. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Dec 2009 06:05:36 +0000

slang2 (2.2.2-1) unstable; urgency=low

  * New upstream release. 
  * Move to source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Dec 2009 10:29:11 +0000

slang2 (2.2.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2009 15:02:59 +0100

slang2 (2.2.1~14-1) unstable; urgency=low

  * New upstream release. Closes: #542882.
  * Move to Standards-Version: 3.8.3, debhelper 7.
  * Support DEB_BUILD_OPTION 'noopt'. Closes: #539333.
  * Add dependencies on zlib1g-dev, libonig-dev for modules 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Sep 2009 12:23:54 +0100

slang2 (2.1.4-3) unstable; urgency=low

  * Add libslang-modules package for slsh modules used by third-party
    applications. Closes: #524825, #524849. 
  * Remove -lm -ldl from slsh link line (uses no symbols from these).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Apr 2009 13:17:53 +0100

slang2 (2.1.4-2) unstable; urgency=low

  * Add slang.pc pkgconfig file.
  * Add nointerlibc patch from fedora to avoid using private glibc symbols.
  * Longer short description for slsh. Closes: #493508.
  * Move /usr/lib/slang/v2/modules/*.so to libslang, from slsh. Closes: #522282.
  * Moved to Standards-Version: 3.8.1; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Apr 2009 22:41:55 +0100

slang2 (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * FTBFS with glibc-2.8. Closes: #491798.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Mar 2009 11:33:54 +0000

slang2 (2.1.3-3) unstable; urgency=low

  * Move to Standards;Version: 3.7.3. 
  * Replace ${Source-Version} with ${binary:Version} in debian/control.
  * debian/compat (5) replaces DH_COMPAT=4 in rules.
  * libslang2-dev is now in the libdevel section, not devel.
  * Fix broken entry in changelog by acknowledging NMU in next entry.
  * set SLSH_LOCALLIB_DIR="", as we don't ship a local-packages dir in 
     Debian (breaks FSSTND).

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Mar 2008 17:49:49 +0000

slang2 (2.1.3-2) unstable; urgency=low

  * Ensure libslang.a is included in libslang2-dev. Closes: #453171. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Nov 2007 20:13:04 +0000

slang2 (2.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Nov 2007 11:29:26 +0000

slang2 (2.0.7-5) unstable; urgency=low

  * Install map file in the pic package. Closes: #316525.
    Thanks to Joey Hess for the patch. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Sep 2007 09:59:01 +0100

slang2 (2.0.7-4) unstable; urgency=low

  * Change libpng12 to libpng12-0. Thought libpng12 was a virtual 
    package. Closes: #436932.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Sep 2007 00:40:22 +0100

slang2 (2.0.7-3) unstable; urgency=low

  * Change dependencies to libslang Build-Depend on libpng12, libslang2-dev on
    libpng-dev. Must have been asleep, I guess. Closes: #434155.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Jul 2007 16:45:53 +0100

slang2 (2.0.7-2) unstable; urgency=low

  * Bump the ABI micro version in shlibs, as new symbols were added.
    Closes: #427636.
  * Build-Depend: on libpng12-dev, for png-module.so plugin.
    Also add a Recommends: libpng for this purpose. Closes: #423571.
  * Move to Standards-Version: 3.7.2. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jun 2007 15:47:27 +0100

slang2 (2.0.7-1) unstable; urgency=low

  * New upstream release. Closes: #421587.
  * Make list in description render nicely in aptitude.  Closes: #388858.
  * Backout 080_wide_chars.patch ; improved fix in 2.0.7. Closes: #399355.
  * Typo prevented slsh cmaps files from being installed. Closes: #421661.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  1 May 2007 09:43:45 +0100

slang2 (2.0.6-4) unstable; urgency=high

  * Fix regression in slutf8.c due to removing 080_wide_chars.patch
    that broke double-width chars. Fixed bugs in patch instead.
    Closes: #392987, #392942.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Oct 2006 17:31:55 +0100

slang2 (2.0.6-3) unstable; urgency=low

  * Remove 080_wide_chars.patch which breaks jed. Closes: #369152.
  * Change the shlib deps. to 2.0.6-3 because of such behaviour changes.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Aug 2006 08:55:31 +0100

slang2 (2.0.6-2) unstable; urgency=low

  * Change libslang2 section to 'libs' from 'base'. I still intend to push
    slang2 into base for etch, but for the moment go with the override.
  * Add libslang2-udeb to shlibs for d-i. Thanks to Franz Pop for the patch.
    Closes: #355963.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2006 08:01:55 +0000

slang2 (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Change slang_install_prefix to /usr. Closes: #353282.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  5 Mar 2006 20:19:05 +0000

slang2 (2.0.5-1) unstable; urgency=low

  * New upstream release.
    - Removed patch 030_versioned_symbols.patch: now in upstream.
    - Removed patch 060_slcurses_winch.patch; now in upstream.


=== debian/control ===
Source: slang2
Section: devel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Jim Mintha <jmintha@debian.org>
Build-Depends: debhelper (>= 7), dbs, docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libonig-dev, libncurses-dev
Standards-Version: 3.8.4

Package: libslang2-dev
Section: libdevel
Architecture: any
Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
Conflicts: slang1-utf8-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
Description: The S-Lang programming library, development version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 The S-Lang library includes the following:
  * Low level tty input routines for reading single characters at a time.
  * Keymap routines for defining keys and manipulating multiple keymaps.
  * A high-level key processing interface (SLkp) for
    handling function and arrow keys.
  * High level screen management routines for manipulating both
    monochrome and color terminals. These routines are very
    efficient. (SLsmg)
  * Low level terminal-independent routines for manipulating the display
    of a terminal. (SLtt)
  * Routines for reading single line input with line editing and recall
    capabilities. (SLrline)
  * Searching functions: both ordinary searches and regular expression
    searches. (SLsearch)
  * An embedded stack-based language interpreter with a C-like syntax.

Package: libslang2
Section: libs
Priority: required
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libpng12-0
Description: The S-Lang programming library - runtime version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains only the shared library libslang.so.* and copyright
 information. It is only necessary for programs that use this library (such
 as jed and slrn). If you plan on doing development with S-Lang, you will
 need the companion -dev package as well.

Package: libslang2-pic
Priority: optional
Section: libdevel
Architecture: any
Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
Description: The S-Lang programming library, shared library subset kit
 This is used to develop subsets of the S-Lang shared libraries for use
 on custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: libslang2-udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: libc-udeb
Description: S-Lang library for Debian Installer
 This is a udeb, or a microdeb, of the S-Lang library with wide charater
 support. As such it is the installer counterpart of libslang2.
 You only need this package to support applications needing S-Lang during
 the Debian installation process time and probably don't need to select it.
XC-Package-Type: udeb

Package: slsh
Section: interpreters
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}) , ${misc:Depends}
Description: Interpreter for S-Lang language
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains a stand-alone interpreter for scripts written
 in the S-Lang language.

Package: libslang2-modules
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:  slsh (<< 2.1.4-2), libslang2 (= 2.1.4-2)
Description: Shared modules for S-Lang language
 This package contains dynamically-loaded modules for S-Lang applications.

=== debian/watch ===
version=3
ftp://space.mit.edu/pub/davis/slang/v2.0/slang-(.*).tar.gz

## slang2 2.2.4

=== debian/changelog ===
slang2 (2.2.4-3ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Oct 2011 17:39:46 +0200

slang2 (2.2.4-3) unstable; urgency=low

  * Patch from Riko Voipio for Mulit-arch support. Closes: #638904.
  * Standards-Version: 3.9.2. No other changes needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2011 11:10:29 +0100

slang2 (2.2.4-2) unstable; urgency=low

  * Call make static to build library directly in rules, rather than
    accidentally rely on it being called by 'make test'. Closes: #623933.
  * 0i

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2011 21:10:26 +0100

slang2 (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2011 09:57:10 +0100

slang2 (2.2.3-3) unstable; urgency=low

  * patch  for FTBFS on hurd-i386.
  * Include missing files for slsh. Closes: #621495.
  * Remove "The" from Descriptions: in debian/control..

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 22:55:40 +0100

slang2 (2.2.3-2) unstable; urgency=low

  * Add chrpath to Build-Depends. Closes: #620997. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 19:58:59 +0100

slang2 (2.2.3-1) unstable; urgency=low

  * New upstream release.  
    Removed obsolete patches: 
       termcap_emulation.patch
       nointerlibc.patch
       slagetput.patch
  * Standards-Version: 3.9.1
  * Moved from DBS to debhlper 7 + quilt build style.  
    Closes: #576047, #571283, #615910.
  * Patches moved to quilt format, DEPS-3 headers added.
  * Patch for automatic dependencies for udeb. Closes: #564486.
  * Fix unclear copyright file. Closes: #615909.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 18:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Jim Mintha <jmintha@debian.org>
-Build-Depends: debhelper (>= 7), dbs, docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libonig-dev, libncurses-dev
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 8.1.3), docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libncurses-dev, chrpath
+Standards-Version: 3.9.2
 
 Package: libslang2-dev
 Section: libdevel
 Architecture: any
 Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
+Multi-Arch: same
 Conflicts: slang1-utf8-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
-Description: The S-Lang programming library, development version
+Description: S-Lang programming library, development version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
  .
@@ -36,8 +37,10 @@
 Priority: required
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Recommends: libpng12-0
-Description: The S-Lang programming library - runtime version
+Description: S-Lang programming library - runtime version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
  .
@@ -52,7 +55,7 @@
 Architecture: any
 Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
 Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
-Description: The S-Lang programming library, shared library subset kit
+Description: S-Lang programming library, shared library subset kit
  This is used to develop subsets of the S-Lang shared libraries for use
  on custom installation floppies and in embedded systems. Unless you're
  making one of those, you won't need this package.
@@ -61,7 +64,7 @@
 Section: debian-installer
 Priority: extra
 Architecture: any
-Depends: libc-udeb
+Depends: ${shlibs:Depends}
 Description: S-Lang library for Debian Installer
  This is a udeb, or a microdeb, of the S-Lang library with wide charater
  support. As such it is the installer counterpart of libslang2.
@@ -74,6 +77,7 @@
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}) , ${misc:Depends}
+Multi-Arch: foreign
 Description: Interpreter for S-Lang language
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# Magic debhelper rule
%:
	dh $@

CFLAGS := -g -fno-strength-reduce -D_REENTRANT -D_XOPEN_SOURCE=500 
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C src static
	ar cqv libslang_pic.a src/elfobjs/*.o
	INSTANT_OPT=" " docbook-to-man debian/slsh.sgml > slsh.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f slsh.1 libslang_pic.a src/test/sltest

override_dh_auto_install:
	dh_auto_install
	cp src/slang.ver debian/libslang2-pic/usr/lib/libslang_pic.map
	mkdir -p debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	cp -a src/objs/libslang.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslang.so.* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libslang.so.2 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslang.so
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slang/v2/modules/*.so
	chrpath -d debian/tmp/usr/bin/slsh

override_dh_installchangelogs:
	dh_installchangelogs -a changes.txt
	
override_dh_makeshlibs:
	dh_makeshlibs -a -V  "libslang2 (>= 2.0.7-1)" --add-udeb="libslang2-udeb"

override_dh_compress:
	dh_compress -a -X.sl -Xslangfun.txt

## slang2 2.3.0

=== src/test/Makefile ===
# -*- make -*-
TEST_SCRIPTS_SLC = argv syntax scircuit eqs sscanf loops arith array strops \
  bstring pack stdio assoc selfload struct nspace path ifeval anytype arrmult \
  time utf8 except bugs list regexp method deref naninf overflow sort \
  longlong signal dollar req docfun debug qualif compare break multline

TEST_SCRIPTS_NO_SLC = autoload nspace2 prep

TEST_SCRIPTS = $(TEST_SCRIPTS_SLC) $(TEST_SCRIPTS_NO_SLC)

TEST_PGM = sltest
MEMCHECK = valgrind --tool=memcheck --leak-check=yes --leak-resolution=med --num-callers=20
RUN_TEST_PGM = ./$(TEST_PGM)
SLANGINC = ..
SLANGLIB = ../$(ARCH)objs
OTHERLIBS = -lm

runtests: $(TEST_PGM)
	@tests=""; \
	for test in $(TEST_SCRIPTS); \
	do \
	   tests="$$tests $$test.sl"; \
	done; \
	for test in $(TEST_SCRIPTS_SLC); \
	do \
	   tests="$$tests $$test.slc"; \
	done; \
	./runtests.sh $$tests
	@touch $(TEST_PGM).c

memcheck_run_tests: $(TEST_PGM)
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS); \
	do \
	   $(MEMCHECK) --log-file=log.$${X} $(RUN_TEST_PGM) $$X.sl; \
	   grep ERROR log.$${X}; grep 'lost: [^0]' log.$${X}; \
	   $(MEMCHECK) --log-file=log.$${X}_u $(RUN_TEST_PGM) -utf8 $$X.sl; \
	   grep ERROR log.$${X}_u; grep 'lost: [^0]' log.$${X}_u; \
	done
	touch $(TEST_PGM).c

memcheck_run_tests_slc: $(TEST_PGM)
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS_SLC); \
	do \
	   $(MEMCHECK) --log-file=log.$${X}_c $(RUN_TEST_PGM) $$X.slc; \
	   $(MEMCHECK) --log-file=log.$${X}_uc $(RUN_TEST_PGM) -utf8 $$X.slc; \
	done
	touch $(TEST_PGM).c

memcheck: memcheck_run_tests memcheck_run_tests_slc

$(TEST_PGM): $(TEST_PGM).c assoc.c list.c $(SLANGLIB)/libslang.a
	$(CC) $(CFLAGS) $(LDFLAGS) $(TEST_PGM).c -o $(TEST_PGM) -I$(SLANGINC) -L$(SLANGLIB) -lslang $(OTHERLIBS)
clean:
	-/bin/rm -f *~ $(TEST_PGM) *.o *.log tmp-* log.pid* *.slc log.*

=== debian/changelog ===
slang2 (2.3.0-2ubuntu1.1) xenial; urgency=medium

  * d/p/init-crash.patch: Fix crash on multiple initialisation when TERMCAP
    set (LP: #1537528)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 28 Jun 2018 11:06:04 +0200

slang2 (2.3.0-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 10:04:43 +0100

slang2 (2.3.0-2) unstable; urgency=medium

  * Patch from John Davis to fix segfault in slang/jed.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2014 09:21:28 +0100

slang2 (2.3.0-1) unstable; urgency=medium

  * New upstream release.
   - Merged hurd-wcontinued.patch
   - Patch for new-glibc needed for sockets, to uncover strtoll(), atoll() 
  * Now incorporates and obsoletes slang-histogram.
  * Remove obsolete Conflicts/Breaks statements from debian/control.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Sep 2014 10:24:11 +0100

slang2 (2.2.4-17ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Jul 2014 14:27:47 +0200

slang2 (2.2.4-17) unstable; urgency=medium

  * Rebuild with unicode update for 7.0. Now  Build-Depend and use
    packaged unicode-data, so new updates can just binNMU.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Jun 2014 12:50:14 +0100

slang2 (2.2.4-16ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2014 11:44:40 +0200

slang2 (2.2.4-16) unstable; urgency=medium

  * Standards-Version: 3.9.5
  * Fix typos. Thanks to Jakub Wilk. Closes: #731126.
  * Typo in DPKG_EXPORT_BUILDFLAGS. Closes: #680998.
  * Fix FTBFS when DSO linking, thanks to Eleanor Chen. Closes: #719902.
  * Fix typo in Description; thanks Lintian.
  * Change Priority for libslang2 from required to important to match overrides.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Dec 2013 21:00:18 +0000

slang2 (2.2.4-15ubuntu1) quantal; urgency=low

  * Merge with Debian unstable (lp: #1028451). Remaining Ubuntu changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Aug 2012 16:35:11 +0200

slang2 (2.2.4-15) unstable; urgency=low

  * Disable the die-on-testfailure patch: the failures are not regressions.
    Ship slang2 as-was for wheezy, rather than go look for trouble.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2012 12:25:16 +0100

slang2 (2.2.4-14) unstable; urgency=low

  * Add "-O0" to build options to avoid tickling a bug somewhere in libslang;
    probably with uninitized memory. Closes: #675125.
  * Add patch to ensure test failures cause automated testing to fail on 
    Debian and catch this sort of thing. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2012 03:30:24 +0100

slang2 (2.2.4-13) unstable; urgency=low

  * Re-insert CFLAGS that may not be obsolete ... 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jun 2012 15:10:50 +0100

slang2 (2.2.4-12) unstable; urgency=low

  * Don't ship pre-built config.h in examples directory : it makes the -dev
    package arch-dependent. Closes: #674495. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 May 2012 14:56:26 +0100

slang2 (2.2.4-11) unstable; urgency=low

  [ Dmitry Smirnov ]
  * added VCS links
  * dropped obsolete CFLAGS
  * debian/control: Conflicts replaced with Breaks (lintianisation)
  * Debian source package compression to '.xz'

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2012 10:09:16 +0100

slang2 (2.2.4-10) unstable; urgency=low

  [ Dmitry Smirnov ]
  * debhelper & compat to version 9
    use default hardening (Closes: #656128).
  * debian/watch is fixed and improved.
  * removed:
    - unused lintian-overrides.
    - postinst and postrm scripts (obsolete).
    - shlibs.local (obsolete).
    - obsolete .dirs files.
    - install_prefix.patch (unused).
    - debian/README file with upload instructions.
  * no longer install upstream UPGRADE.txt file with instructions
    how to upgrade from slang v1.
  * no longer install upstream README files with hints about
    location of documentation files in upstream source tree.
  * added doc-base registration for slsh html documentation.
  * added libslang2.symbols file.
  * added debian/clean file to remove auto-generated files.
  * use autoconf to re-generate configure script.
  * docs and examples separated from debhelper .install files
  * debian/copyright:
    + converted to copyright-format 1.0
    + updated debian contributors copyrights
    + corrected upstream license
  * debian/control:
    + added Homepage field to debian/control.
    + dropped conflict with obsolete slang0.99.34-dev
    + adding myself as Uploader.
    + minor lintianisation:
      * libslang2-modules long description is updated.
      * XC-Package-Type --> Package-Type.
      * dropped redundant "Priority: optional"
  * install compressed slangfun.txt doc file.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2012 11:17:13 +0100

slang2 (2.2.4-9) unstable; urgency=low

  * Fix wrong parens in control file. Closes: #669514. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Apr 2012 21:06:29 +0100

slang2 (2.2.4-8) unstable; urgency=low

  * Fix broken multiarch in libslang2-modules 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Apr 2012 14:27:55 +0100

slang2 (2.2.4-7) unstable; urgency=low

  * Build against libpng-dev for png15 transition. Closes: #662504.
  * Standards-Version: 3.9.3. No changes required.
  * Remove accidental debian-changes patches in debian/patches 



=== debian/control ===
--- 
+++ 
@@ -3,15 +3,27 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3), docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libncurses-dev, chrpath
-Standards-Version: 3.9.2
+Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
+Build-Depends: debhelper (>= 9), autoconf, autotools-dev,
+ unicode-data,
+ chrpath,
+ docbook-to-man,
+ dpkg-dev (>= 1.16.1~),
+ libncurses-dev,
+ libpcre3-dev,
+ libpng-dev,
+ zlib1g-dev,
+Standards-Version: 3.9.6
+Homepage: http://www.jedsoft.org/slang/
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/slang2.git
+VCS-Git: git://anonscm.debian.org/collab-maint/slang2.git
 
 Package: libslang2-dev
 Section: libdevel
 Architecture: any
 Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
 Multi-Arch: same
-Conflicts: slang1-utf8-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
+Built-Using: ${Built-Using}
 Description: S-Lang programming library, development version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
@@ -34,11 +46,12 @@
 
 Package: libslang2
 Section: libs
-Priority: required
+Priority: important
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Built-Using: ${Built-Using}
 Recommends: libpng12-0
 Description: S-Lang programming library - runtime version
  S-Lang is a C programmer's library that includes routines for the rapid
@@ -50,9 +63,9 @@
  need the companion -dev package as well.
 
 Package: libslang2-pic
-Priority: optional
 Section: libdevel
 Architecture: any
+Built-Using: ${Built-Using}
 Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
 Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
 Description: S-Lang programming library, shared library subset kit
@@ -64,20 +77,21 @@
 Section: debian-installer
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}
+Built-Using: ${Built-Using}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: S-Lang library for Debian Installer
- This is a udeb, or a microdeb, of the S-Lang library with wide charater
+ This is a udeb, or a microdeb, of the S-Lang library with wide character
  support. As such it is the installer counterpart of libslang2.
  You only need this package to support applications needing S-Lang during
  the Debian installation process time and probably don't need to select it.
-XC-Package-Type: udeb
+Package-Type: udeb
 
 Package: slsh
 Section: interpreters
-Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}) , ${misc:Depends}
+Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: foreign
+Built-Using: ${Built-Using}
 Description: Interpreter for S-Lang language
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
@@ -87,9 +101,15 @@
 
 Package: libslang2-modules
 Section: libs
-Priority: optional
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts:  slsh (<< 2.1.4-2), libslang2 (= 2.1.4-2)
+Conflicts: slang-histogram
+Provides: slang-histogram
+Replaces: slang-histogram
 Description: Shared modules for S-Lang language
+ S-Lang is a C programmer's library that includes routines for the rapid
+ development of sophisticated, user friendly, multi-platform applications.
+ .
  This package contains dynamically-loaded modules for S-Lang applications.

=== debian/watch ===
version=3

# latest
ftp://space.mit.edu/pub/davis/slang/latest/slang-([\d.]+)\.tar\.(?:bz2|gz)

# current v2.2.*
ftp://space.mit.edu/pub/davis/slang/v2.2/slang-([\d.]+)\.tar\.(?:bz2|gz)

# OLD
#ftp://space.mit.edu/pub/davis/slang/v2.2/OLD/slang-([\d.]+)\.tar\.(?:bz2|gz)

## slang2 2.3.1

=== debian/changelog ===
slang2 (2.3.1-5) unstable; urgency=medium

  * Updated fix from upstream for big-endian 64-bit systems. Closes: #843421.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Nov 2016 11:48:53 +0000

slang2 (2.3.1-4) unstable; urgency=medium

  * Fix for test crash, from upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 13:27:27 +0000

slang2 (2.3.1-3) unstable; urgency=medium

  * Build -fsigned-char to fix test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Nov 2016 16:50:53 +0000

slang2 (2.3.1-2) unstable; urgency=medium

  * Build --no-parallel, as seems to fail on multiple cores.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Nov 2016 21:58:59 +0000

slang2 (2.3.1-1) unstable; urgency=medium

  * New upstream release
   - typos patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Oct 2016 09:23:52 +0000

slang2 (2.3.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh_auto_install with --no-parallel. Upstream's 'install' Makefile
    rule does not appear to be reliable in a parallel build: the
    install-elf-and-links target can run in parallel with the elf
    target. (Closes: #838971)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Sep 2016 12:57:48 +0100

slang2 (2.3.0-4) unstable; urgency=medium

  * Fix for crash from Samuel; Thibault. Closes: #837868
  * DH_COMPAT=10 with dependency change.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Sep 2016 11:29:19 +0100

slang2 (2.3.0-3) unstable; urgency=medium

  * Standards-Version is now 3.9.8. No changes required.
  * Patch from Reiner Herrmann to make build reproducible. Closes: #828762.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2016 12:10:10 +0100

slang2 (2.3.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Try again to remove libpng16-16 dependency, thanks Guillem
    for pointing me to my fault (Closes: #820338).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Apr 2016 23:04:04 +0200

slang2 (2.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Include changes for the never uploaded but on git
    changes in 2.2.4-16 (from Dmitry)
  [ Dmitry Smirnov ]
  * better debian/clean
  * lintian-overrides for false-positive 'hardening-no-fortify-functions'
  * simplify passing extra CFLAGS
  [ Guillem Jover ]
  * Remove recommends of libpng16-16, because shlibs:Depends should
    already pick it up (Closes: #820338)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2016 21:57:56 +0200

slang2 (2.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Recommends libpng16-16 instead of libpng12-0 (Closes: #820338)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 16:33:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 9), autoconf, autotools-dev,
+Build-Depends: debhelper (>= 10), autoconf, autotools-dev,
  unicode-data,
  chrpath,
  docbook-to-man,
  dpkg-dev (>= 1.16.1~),
  libncurses-dev,
+ libonig-dev,
  libpcre3-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.jedsoft.org/slang/
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/slang2.git
 VCS-Git: git://anonscm.debian.org/collab-maint/slang2.git
@@ -52,7 +52,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Built-Using: ${Built-Using}
-Recommends: libpng12-0
 Description: S-Lang programming library - runtime version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Add -O0 to workaround 675125, a bug that appeared with gcc-4.7. 
# Probably to do with uninitialized memory somewhere ?
# "src/tests/sltest ./utf8" triggers the bug; works fine in UTF-8 mode, fails otherwise.
# - amck, 2012-06-30

CFLAGS:= $(CFLAGS) -D_XOPEN_SOURCE=500 $(CPPFLAGS) -O0 -fsigned-char

# Magic debhelper rule
%:
	dh $@ --with autotools_dev --no-parallel

override_dh_auto_configure:
	cd autoconf \
        && autoconf \
        && mv configure ..
	dh_auto_configure -- --libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_build:
	dh_auto_build
	${MAKE} -C src static
	ar cqv libslang_pic.a `LC_ALL=C ls src/elfobjs/*.o`
	INSTANT_OPT=" " docbook-to-man debian/slsh.sgml > slsh.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f slsh.1 libslang_pic.a src/test/sltest

override_dh_auto_install:
	dh_auto_install --no-parallel
	cp  /usr/share/unicode/EastAsianWidth.txt utf8/tools
	cp /usr/share/unicode/UnicodeData.txt utf8/tools
	cp src/slang.ver debian/libslang2-pic/usr/lib/libslang_pic.map
	mkdir -p debian/tmp/lib/${DEB_HOST_MULTIARCH}
	cp -a src/objs/libslang.a debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so.* debian/tmp/lib/${DEB_HOST_MULTIARCH}
	ln -sf /lib/${DEB_HOST_MULTIARCH}/libslang.so.2 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so
	chrpath -d debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules/*.so
	chrpath -d debian/tmp/usr/bin/slsh
	mkdir -p debian/libslang2-modules/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules
	mv debian/tmp/usr/lib/*/slang/v2/modules/* debian/libslang2-modules/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules

override_dh_installchangelogs:
	dh_installchangelogs -a changes.txt

override_dh_makeshlibs:
	dh_makeshlibs -a -V --add-udeb="libslang2-udeb"

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="`dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data`"

override_dh_compress:
	dh_compress -a -X.sl -X.c -X.h
